=== debian/changelog ===
freedink-data (1.08.20170401-1) UNRELEASED; urgency=medium

  * New upstream release
  * Bump Standards-Version (no changes)
  * Update URL with .xz extension

 -- Sylvain Beucler <beuc@debian.org>  Sat, 01 Apr 2017 22:03:44 +0200

freedink-data (1.08.20140901-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version (no changes)
  * Bump compat to 9 (for the sake of it)

 -- Sylvain Beucler <beuc@debian.org>  Mon, 01 Sep 2014 21:57:24 +0200

freedink-data (1.08.20121209-1) experimental; urgency=low

  * New upstream release
  * Specify source format
  * Install upstream ChangeLog
  * Remove helper-templates-in-copyright lintian override, the false
    positive was fixed by lintian.

 -- Sylvain Beucler <beuc@debian.org>  Sun, 14 Oct 2012 12:21:31 +0200

freedink-data (1.08.20111016-1) unstable; urgency=low

    * New upstream release

 -- Sylvain Beucler <beuc@debian.org>  Sun, 16 Oct 2011 20:23:04 +0200

freedink-data (1.08.20110723-1) unstable; urgency=low

  * New upstream release
  * Use http: rather than ftp: in the watch file, as FTP sometimes doesn't
    work in some NAT'd networks
  * Remove old reference to .d files
  * Add README.source and point to upstream's doc/PACKAGING
  * Use debhelper 7
  * Use 3.0 source format
  * Add gbp.conf to ignore .gitignore files automatically
  * Ignore helper-templates-in-copyright due to the presence of
    "author(s)" in the license text

 -- Sylvain Beucler <beuc@debian.org>  Sat, 23 Jul 2011 00:17:33 +0200

freedink-data (1.08.20100103-3) unstable; urgency=low

  * More updates to the Dutch translation

 -- Sylvain Beucler <beuc@debian.org>  Mon, 25 Oct 2010 23:20:11 +0200

freedink-data (1.08.20100103-2) unstable; urgency=low

  * Update Dutch translation (Closes: #601245)

 -- Sylvain Beucler <beuc@debian.org>  Sun, 24 Oct 2010 19:33:20 +0200

freedink-data (1.08.20100102-1) unstable; urgency=low

  * New upstream release
  * Fix debhelper-but-no-misc-depends: add "Depends: ${misc:Depends}" for
    the freedink-data binary package in 'debian/control'

 -- Sylvain Beucler <beuc@beuc.net>  Sun, 03 Jan 2010 20:57:54 +0100

freedink-data (1.08.20090706-1) unstable; urgency=low

  * New upstream release
    Closes: #523457

 -- Sylvain Beucler <beuc@beuc.net>  Sun, 06 Jul 2009 09:37:12 +0200

freedink-data (1.08.20080920-1) unstable; urgency=low

  * Initial release (Closes: #492760)

 -- Sylvain Beucler <beuc@beuc.net>  Sat, 20 Sep 2008 20:50:51 +0200
