=== debian/control ===
Source: freedink-data
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sylvain Beucler <beuc@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://www.gnu.org/software/freedink/
Vcs-Git: git://git.savannah.gnu.org/freedink/freedink-data.git
Vcs-Browser: http://git.savannah.gnu.org/cgit/freedink/freedink-data.git

Package: freedink-data
Architecture: all
Depends: ${misc:Depends}
Description: adventure and role-playing game (game data)
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humour, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 This package contains the original game story, along with free sound
 and music replacements.
